Home » Android » java – The import android.support cannot be resolved

java – The import android.support cannot be resolved

Posted by: admin March 11, 2020 Leave a comment

Questions:

I am trying to run the code provided HERE
I downloaded the code from their Github and imported into Android SDK, but it shows error at the lines

import android.support.v4.app.FragmentActivity;
import android.support.v4.app.NavUtils;  

in multiple files. However if I check the Android SDK Manager, the Android Support Library as well as the Android Support Repository in the Extras folder are both installed. I can also see the support folder and it’s contents in the SDK_INSTALL\sdk\extras\android\support directory. It also has the v4 folder which also contains the android-support-v4.jar and the src folder. THen why is it still showing the error, how do I resolve it and how do I get that sample code running? THe sample code is for an RSS reader app, if that’s relevant.

How to&Answers:

Please follow these Steps:

For Eclipse:

  • Go to your Project’s Properties
  • Navigate to the Java Build Path
  • Then go to the Libraries tab. There click the Add External JARs Button on the Right pane.
  • Select the android-support-v4.jar file, usually the path for the Jar file is :
    YOUR_DRIVE\android-sdks\extras\android\support\v4\android-support-v4.jar
  • After adding android-support-v4.jar Library, navigate to the Order and Export tab and put check mark on the android-support-v4 Library file.
  • After doing the above, Clean the Project and Build it.
  • Problem Solved.

For Android Studio:

Short Version:

  • Add the following line to your build.gradle file:
    implementation 'com.android.support:support-v4:YOUR_TARGET_VERSION'

Long Version:

  • Go to File -> Project Structure

  • Go to “Dependencies” Tab -> Click on the Plus sign -> Go to “Library dependency”

  • Select the support library “support-v4 (com.android.support:support-v4:YOUR_TARGET_VERSION)”

  • Navigate to your “build.gradle” inside your App Directory and double check if your desired Android Support Library has been added to your dependencies.

  • Rebuild your project and now everything should work.

Further reading regarding this Question:

  1. Support Library – Android Dev
  2. Recent Support Library Revisions
  3. Support Library Packages
  4. What is an Android Support Library?
  5. How Android Support Library work?

I hope this helps.

Answer:

andorid-support-v4.jar is an external jar file that you have to import into your project.

This is how you do it in Android Studio:

Go to File -> Project Structure
enter image description here

Go to “Dependencies” Tab -> Click on the Plus sign -> Go to “Library dependency”
enter image description here

Select the support library “support-v4 (com.android.support:support-v4:23.0.1)”
enter image description here

Now to go your “build.gradle” file in your app and make sure the android support library has been added to your dependencies. Alternatively, you could’ve also just typed compile 'com.android.support:support-v4:23.0.1' directly into your dependencies{} instead of doing it through the GUI.

enter image description here

Rebuild your project and now everything should work.
enter image description here

Answer:

Another way to solve the issue:

If you are using the support library, you need to add the appcompat lib to the project. This link shows how to add the support lib to your project.

Assuming you have added the support lib earlier but you are getting the mentioned issue, you can follow the steps below to fix that.

  1. Right click on the project and navigate to Build Path > Configure Build Path.

  2. On the left side of the window, select Android. You will see something like this:

enter image description here

  1. You can notice that no library is referenced at the moment. Now click on the Add button shown at the bottom-right side. You will see a pop up window as shown below.

enter image description here

  1. Select the appcompat lib and press OK. (Note: The lib will be shown if you have added them as mentioned earlier). Now you will see the following window:

enter image description here

  1. Press OK. That’s it. The lib is now added to your project (notice the red mark) and the errors relating inclusion of support lib must be gone.

Answer:

For me they were appearing when i transferred code manually to another laptop. Just do

File>Invalidate Cache/Restart

click on ‘Invalidate Cache and Restart’ and your are done.

Answer:

I followed the instructions above by Gene in Android Studio 1.5.1 but it added this to my build.gradle file:

compile 'platforms:android:android-support-v4:23.1.1'

so I changed it to:

compile 'com.android.support:support-v4:23.1.1'

And it started working.

Answer:

This issue may also occur if you have multiple versions of the same support library android-support-v4.jar. If your project is using other library projects that contain different-2 versions of the support library. To resolve the issue keep the same version of support library at each place.

Answer:

I have resolved it by deleting android-support-v4.jar from my Project. Because appcompat_v7 already have a copy of it.

If you have already import appcompat_v7 but still the problem doesn’t solve. then try it.

Answer:

This is very easy step to import any 3rd party lib or jar file into your project

  1. Copy android-support-v4.jar file from
    your_drive\android-sdks\extras\android\support\v4\android-support-v4.jar

    or copy from your existing project’s bin folder.

    or any third party .jar file
  2. paste copied jar file into lib folder

  3. right click on this jar file and then click on build Path->Add to
    Build Path
    enter image description here

  4. even still you are getting error in your project then Clean the
    Project and Build it.

Answer:

Android Studio 2.2.3
Linux Mint 18.1

Inside your ‘project view’ open Gradle Scripts -> build.gradle(Module:app) and put your mouse pointer inside the word dependencies.

Click on the light bulb and click “add library dependency” and for me all the libraries I wanted were listed there.

example libraries that came up for me:
compile ‘com.android.support:gridlayout-v7:25.1.0’
compile ‘com.android.support:support-v13:25.1.0’

I am now looking to add android support by default in Gradles default configuration.